VkExternalImageFormatPropertiesNV Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkExternalImageFormatPropertiesNV:
[legend]

## Data Fields

VkImageFormatProperties | imageFormatProperties
VkExternalMemoryFeatureFlagsNV | externalMemoryFeatures
VkExternalMemoryHandleTypeFlagsNV | exportFromImportedHandleTypes
VkExternalMemoryHandleTypeFlagsNV | compatibleHandleTypes

## Detailed Description

Definition at line 5270 of file vulkan.h.

## Field Documentation

## compatibleHandleTypes

VkExternalMemoryHandleTypeFlagsNV VkExternalImageFormatPropertiesNV::compatibleHandleTypes

Definition at line 5274 of file vulkan.h.

## exportFromImportedHandleTypes

VkExternalMemoryHandleTypeFlagsNV VkExternalImageFormatPropertiesNV::exportFromImportedHandleTypes

Definition at line 5273 of file vulkan.h.

## externalMemoryFeatures

VkExternalMemoryFeatureFlagsNV VkExternalImageFormatPropertiesNV::externalMemoryFeatures

Definition at line 5272 of file vulkan.h.

## imageFormatProperties

VkImageFormatProperties VkExternalImageFormatPropertiesNV::imageFormatProperties

Definition at line 5271 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h